Hey guys,
I build a Bounding Box depending on the user's input. When I do it in the NX GUI the toolingbox has the selected parent objects in the information window, but with the one i created in NX Open, there are no parents visible.
Do you know how I can fix that? I am working with the...
Hey,
I guess this is a really basic question, but I can't make it work on my own:
I have 30 different VB-projects which base on BlockStyler code. Some of the actions I want to use in the different Blockstyler are the same. Therefore I want to write the method once and use it in all projects...
Hey,
I want the user to draw a rectangle on a created plane. I use Blockstyler and the user first creates the plane interactively, then i want him to draw a sketch on that plane. At the end I would like to extrude the sketch (also interactive).
I don't understand how to get into the sketch - I...
Hey there, it's me again.
I created a "BoundedBlock" with toolingBoxBuilder in an assembly. Now I need to get the dimension of the bounded block. The toolingBoxBuilder class owns the function .XValue, etc. for x,y,z as Expression. I tried in a thousand ways to get the value of the Expression...
Hey everybody,
I am using NX 12 and the Blockstyler. I want to use the Specify Orientation to rotate a toolingbox/bounding box, that I created. Therefore I need to get the x,y and z axis of the manipulator handle. For X and Y it's really easy, because it's given in the API. But how do I get the...
Hey,
I am working with NX12 and BlockStyler. I want to make sure that the point, that I created is on a face.
Using the Point Function in NX there is the possibility to choose "Point on Face". That's all I need.
How can I use the "Point on face" function in Blockstyler? I think it should be...
Hey,
I try to create a plane on a face in an assembly. I know I have to wavelink the component of the face, but I can't figure out how it works.
I have to replace these FindObject lines from the recorded journal:
Dim face1 As NXOpen.Face =...